Subject: RE: owner object in LSR MIB

From: Cheenu Srinivasan <[email-masked]>
Date: Wed, 10 May 2000 12:18:59 -0400

> > Let me summarize the response Tom is referring to which we sent to
> > you yesterday. I agree that this is something the group at 
> large needs
> > to consider.
> > 
> > We believe that the purpose your were trying to achieve in 
> the context
> > of
> > the discussion about the owner object is the following:
> > When a LDP session is torn down, you want to identify and remove the
> > associated cross-connections.
> 
> If a session is torn down, the LSPs will have to be released. This 
> is part of the protocool and it's impossible to rely on the 
> management 
> system to do the cleaning. so this isn't the use and I never stated
> that. 

Maybe not you but it was certainly the use that was stated by one of
the coauthors of the LDP MIB. And, I think, in order to be able to
remove LSPs associated with a session from a management application you
should add this table to the LDP MIB.

The other points you make, while mildly
interesting, are not nearly reason enough to add new objects to the LSR
MIB at this stage. Certainly it has nothing to do with aligning the
LDP and LSR MIBs. As we have tried to explain before, the approach is
top down. Pointers go from the session (be it LDP or RSVP or ...) or
tunnel to the underlying LSP (cross-connect in the LSR MIB) and not
the other way around. There is no purpose in putting back pointers
to all kinds of protocol specific objects.

Regards,
Cheenu

---

From: Arun Viswanathan <[email-masked]>
Date: Wed, 10 May 2000 10:42:41 -0700

Hans,

> When we did the modelling we regarded this as a requirement 
> and modelled 
> it in. Poosible applications are e.g
> - Network Management operation to clean up hanging resourses. 
> This could 
> be a way to find LSP segments that due to network errors are hanging.
> Not
> an everyday job but useful anyway. 

For the scenario you mention, once hanging resources are identified
belonging to a protocol, further trouble-shooting must be done in
the protocol context. This support is provided by the owner object.
If you need further trouble-shooting support it must be provided
by the protocol, IMHO. LSR MIB is not the right place for such support.

> - In my opinion the session pointer is one of the properties of an LSP
> and therefore one of an LSPs objects. This could be for simple
> management 
> or troubleshooting or whatever management task. I don't want to think
> out
> all future users, just provide the tools for efective 
> managemetn. Thats
> what mib design is about. 
> 
> The simple fact that it was in when it was in the LDP MIB and it's out
> and 
> proposed to be in the LSR MIB makes it in my mind an 
> alignemnet issue. 
> 

Can you please be specific? Which object are you refering to? Which
LDP MIB version?

-arun